summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-05-10 23:40:11 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-05-10 23:40:51 +0200
commitac574cb2df4415733578e0d346f5472c72bef4a8 (patch)
tree865887aea4b61401cba614e658444e11f3e47f99 /dev-python/jedi/jedi-0.12.0.ebuild
parentx11-base/xorg-server: Drop old patches (diff)
downloadgentoo-ac574cb2df4415733578e0d346f5472c72bef4a8.tar.gz
gentoo-ac574cb2df4415733578e0d346f5472c72bef4a8.tar.bz2
gentoo-ac574cb2df4415733578e0d346f5472c72bef4a8.zip
dev-python/jedi: version bump.
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-python/jedi/jedi-0.12.0.ebuild')
-rw-r--r--dev-python/jedi/jedi-0.12.0.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/jedi/jedi-0.12.0.ebuild b/dev-python/jedi/jedi-0.12.0.ebuild
new file mode 100644
index 00000000000..ce096b6c317
--- /dev/null
+++ b/dev-python/jedi/jedi-0.12.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="https://github.com/davidhalter/jedi"
+SRC_URI="https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+RDEPEND=">=dev-python/parso-0.1.1[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx )
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+# various misc failures
+RESTRICT="test"
+
+src_prepare() {
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ PYTHONPATH="${PYTHONPATH%:}${PYTHONPATH+:}${S}/test" py.test -v test \
+ || die "Tests failed under ${EPYTHON}"
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( "${S}"/docs/_build/html/. )
+ distutils-r1_python_install_all
+}